Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1695013 - Online account settings are not available
Summary: Online account settings are not available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts
Version: 30
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2019-04-02 09:54 UTC by Jiri Eischmann
Modified: 2019-04-08 10:13 UTC (History)
7 users (show)

Fixed In Version: gnome-control-center-3.32.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-08 10:13:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-control-center/issues/362 0 None None None 2019-04-02 10:14:54 UTC

Description Jiri Eischmann 2019-04-02 09:54:59 UTC
When you set up an account in Online Accounts, you can't view or edit its settings. When you click the account you only get a button to remove the account, not settings such as switching on/off different data sources (email, calendar, contacts).

See the attached upstream bug report for more details.

Comment 1 Jiri Eischmann 2019-04-02 09:57:08 UTC
I haven't found a way to link to a GNOME Gitlab bug, so here in the comment: https://gitlab.gnome.org/GNOME/gnome-control-center/issues/362

Comment 2 Fedora Blocker Bugs Application 2019-04-02 10:01:22 UTC
Proposed as a Blocker for 30-final by Fedora user eischmann using the blocker tracking app because:

 This is a basic functionality not working in one of the core apps (GNOME Control Center/Online Accounts).

Comment 3 Adam Williamson 2019-04-03 01:04:10 UTC
It looks like the fix for this is supposed to be in 3.32.1 already; did you test with gnome-control-center-3.32.1-1.fc30 ? If not, can you test with that version and see if it works? Thanks!

Comment 4 Alessio 2019-04-03 14:14:50 UTC
(In reply to Jiri Eischmann from comment #0)
> When you set up an account in Online Accounts, you can't view or edit its
> settings. When you click the account you only get a button to remove the
> account, not settings such as switching on/off different data sources
> (email, calendar, contacts).

But this same behaviour is on F29.

Comment 5 Jiri Eischmann 2019-04-08 09:29:06 UTC
(In reply to Adam Williamson from comment #3)
> It looks like the fix for this is supposed to be in 3.32.1 already; did you
> test with gnome-control-center-3.32.1-1.fc30 ? If not, can you test with
> that version and see if it works? Thanks!

Is there already a build for Fedora? I mean, it's nice that it's fixed upstream, but I proposed this as a blocker to make sure it doesn't get slipped and the fix does get into F30 before the final release.

Comment 6 František Zatloukal 2019-04-08 10:13:47 UTC
Yeah it's fixed in gnome-control-center-3.32.1-1.fc30 . That update already hit stable repos, so I am closing this.


Note You need to log in before you can comment on or make changes to this bug.